function validateForm(form){ 
	var CURRENT_STATE = getValue("WKNumState");
	var NEXT_STATE = getValue("WKNextState");
	var COMPLETED_TASK = (getValue("WKCompletTask")=="true");

	var errorMsg = ""; 
	var lineBreaker = "</br>";

	if(!COMPLETED_TASK || CURRENT_STATE == NEXT_STATE){
		return;
	}

	if(CURRENT_STATE == APROVARREPROVAR_PC){
		if(form.getValue("id_aprovreprov") == null || form.getValue("id_aprovreprov").isEmpty()){
			errorMsg += "Campo Quanto ao Pedido é obrigatório!"+lineBreaker;
		}
		if ((form.getValue("id_observacoes") == null || form.getValue("id_observacoes").isEmpty())&& form.getValue("id_aprovreprov") == "R" ){
			errorMsg += "Campo Observações é obrigatório!"+lineBreaker;
		}
		var recno = getRECNOByUser(form);
		if(hasAlreadyApproved(recno, form)){
			throw "Este pedido j&#225; foi aprovado.";
		}
		
		if (errorMsg == "")
		{
			approve(recno, form);
		}
	} 

	//errorMsg += customValidateForm(form); 
	if(!errorMsg.isEmpty()){ 
		throw errorMsg; 
	}
}